public class EingabeTest
{
	public static void main(String[]args) throws java.io.IOException
	{
		String textVonDerTastatur="";
		//Tastatureingabe vorbereiten
		java.io.BufferedReader in=new java.io.BufferedReader(
			new java.io.InputStreamReader(System.in));
		
		/*in.readLine() hält das Programm an und wartet auf
			eine Tastatureingabe.
			Wird die Tastatureingabe mit ENTER abgeschlossen,
			steht der Text in der Variablen textVonDerTastatur zur
			Verfügung*/
		System.out.println("Bitte geben Sie ABCD");
		textVonDerTastatur=in.readLine();
		//Programmfluss verzweigen
		//in ( ) muss der Ausdruck true oder false ergeben
		//Überprüfung der Gleichheit bei Strings mit .equals("XXX")
		if(textVonDerTastatur.equals("ABCD")) 
		{
			//textVonDerTastatur.equals("ABCD") ergibt true
			System.out.println("Sie sind super");
		}
		else
		{
			//textVonDerTastatur.equals("ABCD") ergibt false
			System.out.println("Versager");
		}
		//Umwandlung von String in int
		//Integer.parseInt: Versuche den Text in eine Zahl umzuwandeln
		//geht nur, wenn der Text ausschl. aus Zahlen besteht
		System.out.println("Bitte geben Sie eine ganze Zahl ein: ");
		textVonDerTastatur=in.readLine();
		int ganzeZahl1=Integer.parseInt(textVonDerTastatur);
		System.out.println("Bitte geben Sie noch eine ganze Zahl ein: ");
		textVonDerTastatur=in.readLine();
		int ganzeZahl2=Integer.parseInt(textVonDerTastatur);
		int ergebnis=ganzeZahl1*ganzeZahl2;
		System.out.println(ganzeZahl1+" * "+ganzeZahl2+" = "+
									+ergebnis);
	}
}